# frozen_string_literal: true

require 'spec_helper'

RSpec.describe BtcPay::Client::Api::StoreInvoices, :vcr do
  let(:store_id) { 'Ej6iMSnPKNyh9mEnTE7FmP4CH8pQ689CnNeQouNDShzh' }
  let(:invoice_id) { 'PA1t8RJWYq78rTAeGBZmkJ' }
  let(:client) do
    config = build(:config, auth_token: '8662bc1847a02b460e71d20d8408da73a877a127')
    build(:client, config: config)
  end

  subject { described_class.new(client: client) }

  describe 'GET #all' do
    let(:response) { subject.all(store_id) }

    it { expect(response).to be_success }
  end

  describe 'POST #create' do
    let(:payload) { build(:store_invoices_payload) }
    let(:response) { subject.create(store_id, payload) }

    it { expect(response).to be_success }
  end

  describe 'GET #get' do
    let(:response) { subject.get(store_id, invoice_id) }

    it { expect(response).to be_success }
  end

  describe 'DELETE #delete' do
    let(:response) { subject.delete(store_id, invoice_id) }

    it { expect(response).to be_success }
  end

  describe 'POST #update_status' do
    let(:response) { subject.update_status(store_id, invoice_id, 'Invalid') }

    it { expect(response).to be_success }
  end

  describe 'POST #unarchive' do
    let(:response) { subject.unarchive(store_id, invoice_id) }

    it { expect(response).to be_success }
  end
end
