# frozen_string_literal: true

FactoryBot.define do
  factory :store_invoices_payload, class: Hash do
    amount { SecureRandom.rand(0.0000..0.10000) }
    currency { 'btc' }
    metadata { { orderId: 12_345 } }
    checkout do
      {
        speedPolicy: 'HighSpeed',
        paymentMethods: ['BTC'],
        expirationMinutes: 15,
        monitoringMinutes: 1440,
        paymentTolerance: 0
      }
    end

    initialize_with { attributes }
  end
end
